<?php
class enti
{
	var $ruta;
	function enti($rut)
	{
		$this->ruta=$rut;
	}
	function set_enti($ci,$n1,$n2,$a1,$a2,$c1,$c2,$c3,$cn,$e1,$t1,$pais,$ciudad,$ref,$nik,$fn,$nc,$rs,$descri,$struc,$user)
	{
		require($this->ruta);
		$enti_sql='insert into enti0(
		enti_codigo,
		enti_nom1,
		enti_nom2,
		enti_ape1,
		enti_ape2,
		enti_calle1,
		enti_calle2,
		enti_calle3,
		enti_callen,
		enti_email,
		enti_telefono,
		enti_pais,
		enti_cdad,
		enti_referidox,
		enti_nickname,
		enti_fechanac,
		enti_nomcom,
		enti_razsoc,
		enti_descri,
		enti_struc,
		enti_idate,
		enti_iuser
		)
		values(
		"'.$ci.'",
		"'.$n1.'",
		"'.$n2.'",
		"'.$a1.'",
		"'.$a2.'",
		"'.$c1.'",
		"'.$c2.'",
		"'.$c3.'",
		"'.$cn.'",
		"'.$e1.'",
		"'.$t1.'",
		"'.$pais.'",
		"'.$ciudad.'",
		"'.$ref.'",
		"'.$nik.'",
		"'.$fn.'",
		"'.$nc.'",
		"'.$rs.'",
		"'.$descri.'",
		"'.$struc.'",
		NOW(),
		"'.$user.'"
		)';
		//echo $enti_sql;


		if(mysql_query($enti_sql,$link_vcrx))
		{
		?>
            
			<resultado>
            	<error>0</error>
            </resultado>
        <?php    
		}
		else
		{
		?>
 			<resultado>
            	<error>1</error>
                <edescri><?php echo mysql_error($link_vcrx);?></edescri>
            </resultado>
        <?php	
		}

		
	}
	
	function up_enti($ci,$n1,$n2,$a1,$a2,$c1,$c2,$c3,$cn,$e1,$t1,$pais,$ciudad,$ref,$nik,$fn,$nc,$rs,$descri,$struc,$user)
	{
		require($this->ruta);
		$enti_sql='update enti0 set
		enti_nom1="'.$n1.'",
		enti_nom2="'.$n2.'",
		enti_ape1="'.$a1.'",
		enti_ape2="'.$a2.'",
		enti_calle1="'.$c1.'",
		enti_calle2="'.$c2.'",
		enti_calle3="'.$c3.'",
		enti_callen="'.$cn.'",
		enti_email="'.$e1.'",
		enti_telefono="'.$t1.'",
		enti_pais="'.$pais.'",
		enti_cdad="'.$ciudad.'",
		enti_referidox="'.$ref.'",
		enti_nickname="'.$nik.'",
		enti_fechanac="'.$fn.'",
		enti_nomcom="'.$nc.'",
		enti_razsoc="'.$rs.'",
		enti_descri="'.$descri.'",
		enti_struc="'.$struc.'",
		enti_iuser="'.$user.'"
		where enti_codigo="'.$ci.'"
		';
//echo $sql_upe;


		if(mysql_query($enti_sql,$link_vcrx))
		{
		?>
            
			<resultado>
            	<error>0</error>
            </resultado>
        <?php    
		}
		else
		{
		?>
 			<resultado>
            	<error>1</error>
                <edescri><?php echo mysql_error($link_vcrx);?></edescri>
            </resultado>
        <?php	
		}

	}
	function get_enti($ci)
	{
		require($this->ruta);
		$enti_sql='select *from enti00 where enti_codigo="'.$ci.'"';
		$enti_res=mysql_query($enti_sql,$link_vcrx);
			$n1='';
			$n2='';
			$a1='';
			$a2='';
			$c1='';
			$c2='';
			$c3='';
			$cn='';
			$e1='';
			$t1='';
			$pais='';
			$ciudad='';
			$ciudad_descri='';
			$ref='';
			$nik='';
			$fn='';
			$nc='';
			$rs='';
			$descri='';
			$struc='';
                        $error='1';

		if(mysql_num_rows($enti_res)!=0)
		{
			$n1=mysql_result($enti_res,0,'enti_nom1');
			$n2=mysql_result($enti_res,0,'enti_nom2');
			$a1=mysql_result($enti_res,0,'enti_ape1');
			$a2=mysql_result($enti_res,0,'enti_ape2');
			$c1=mysql_result($enti_res,0,'enti_calle1');
			$c2=mysql_result($enti_res,0,'enti_calle2');
			$c3=mysql_result($enti_res,0,'enti_calle3');
			$cn=mysql_result($enti_res,0,'enti_callen');
			$e1=mysql_result($enti_res,0,'enti_email');
			$t1=mysql_result($enti_res,0,'enti_telefono');
			$pais=mysql_result($enti_res,0,'enti_pais');
			$ciudad=mysql_result($enti_res,0,'enti_cdad');
			$ciudad_descri=mysql_result($enti_res,0,'cdad_descri');
			$nik=mysql_result($enti_res,0,'enti_nickname');
			$fn=mysql_result($enti_res,0,'enti_fechanac');
			$nc=mysql_result($enti_res,0,'enti_nomcom');
			$rs=mysql_result($enti_res,0,'enti_razsoc');
			$descri=mysql_result($enti_res,0,'enti_descri');
			$struc=mysql_result($enti_res,0,'enti_struc');
			$drtr=mysql_result($enti_res,0,'enti_drtr');
			$ref=mysql_result($enti_res,0,'enti_referidox');
                        $error='0';
			
			
		}
?>		
			<resultado>
            	<n1><?php echo $n1;?></n1>
                <n2><?php echo $n2;?></n2>
				<a1><?php echo $a1;?></a1>
				<a2><?php echo $a2;?></a2>
				<c1><?php echo $c1;?></c1>
				<c2><?php echo $c2;?></c2>
				<c3><?php echo $c3;?></c3>
				<cn><?php echo $cn;?></cn>
				<e1><?php echo $e1;?></e1>
				<t1><?php echo $t1;?></t1>
				<pais><?php echo $pais;?></pais>
				<ciudad><?php echo $ciudad;?></ciudad>
                <ciudad_descri><?php echo $ciudad_descri;?></ciudad_descri>
				<nick><?php echo $nick;?></nick>
				<fn><?php echo $fn;?></fn>
				<nc><?php echo $nc;?></nc>
				<rs><?php echo $rs;?></rs>
				<descri><?php echo $descri;?></descri>
				<struc><?php echo $struc;?></struc>
                <drtr><?php echo $drtr;?></drtr>
                <ref><?php echo $ref;?></ref>
                <error><?php echo $error;?></error>
                
            </resultado>

<?php			
			
	}
}
?>